package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 获取NB码失败记录对象 t_received_nb_failure_history
 * 
 * @author zehong
 * @date 2026-07-18
 */
public class ReceivedNbFailureHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 托盘编号 */
    @Excel(name = "托盘编号")
    private String trayCode;

    /** 第几次，一共有两次 */
    @Excel(name = "第几次，一共有两次")
    private Integer times;

    /** 失败原因: http请求报错； 请求结果是500 */
    @Excel(name = "失败原因: http请求报错； 请求结果是500")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTrayCode(String trayCode) 
    {
        this.trayCode = trayCode;
    }

    public String getTrayCode() 
    {
        return trayCode;
    }
    public void setTimes(Integer times) 
    {
        this.times = times;
    }

    public Integer getTimes() 
    {
        return times;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("trayCode", getTrayCode())
            .append("times", getTimes())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
